Bug 644362 - problem with here-doc in function called from here-doc
problem with here-doc in function called from here-doc
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ksh (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE - Apps
:
Depends On: 644128
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-19 10:31 EDT by Michal Hlavinka
Modified: 2011-05-19 09:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If a here document (heredoc — specifies a string literal in command line shells) was combined with an auto-loaded function, interference with the here document processing could occur causing output to be truncated to 8 kB. This update improves the here document processing logic and auto-loaded functions no longer have a negative side effect on here documents.
Story Points: ---
Clone Of: 644128
Environment:
Last Closed: 2011-05-19 09:50:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix this (11.91 KB, patch)
2011-01-05 08:28 EST, Michal Hlavinka
jskala: review+
Details | Diff

  None (edit)
Comment 4 Michal Hlavinka 2011-01-05 08:28:43 EST
Created attachment 471861 [details]
patch to fix this
Comment 7 Martin Prpic 2011-03-16 11:57:50 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
If a here document (heredoc — specifies a string literal in command line shells) was combined with an auto-loaded function, interference with the here document processing could occur causing output to be truncated to 8 kB. This update improves the here document processing logic and auto-loaded functions no longer have a negative side effect on here documents.
Comment 8 errata-xmlrpc 2011-05-19 09:50:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0645.html

Note You need to log in before you can comment on or make changes to this bug.